打印

lnmp1.4 安装gd库

lnmp1.4 安装gd库

请问lnmp里有没安装gd及其依赖插件?如果没有的话,可否在不重新编译php的情况下,安装gd库及其依赖?
新手提问。。。。。。请包涵。。。。

TOP

gd都是基本模块,肯定都装了,自己可以去phpinfo或探针或php -m查看

TOP

回复 2# 的帖子

军哥,gd库已经安装了,但是一直用不了imagerotate函数。gd库是激活状态吗?我在php.ini里面配置extension的时候说重新加载,不配置的话好像用不了gd。

TOP

回复 2# 的帖子

php -m   phpinfo()都能查看到安装了gd,   是不是没有激活gd,   已经搞了好几天了,这个问题一直没有解决,加上extension重启然后就报错:重复加载,不加这个有用不了图片旋转的函数

TOP

回复 4# 的帖子

测试机上几个php版本使用php官网的 http://php.net/manual/zh/function.imagerotate.php 例子测试没有问题

TOP